/*****************************************************************************
 * yahoo_sha.h
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 *
 * Copyright (C) 2007 Greg Hosler
 * ghosler ['at'] users.sourceforge.net
 *****************************************************************************/

#ifndef _YAHOO_SHA_H
#define _YAHOO_SHA_H

typedef struct {
	char *resp_6;
	char *resp_96;
} Y_AUTH_INFO;

/* new auth methods */
Y_AUTH_INFO *yahoo_process_auth_0x0b(char *myusername, char *mypasswd, char *myseed);
extern void to_y64(unsigned char *out, const unsigned char *in, int inlen);

#endif /* _YAHOO_SHA_H */

