/*****************************************************************************
 * camcapt.h
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 *
 * Copyright (C) 2006 Stefan Sikora and Zoltan Csala
 *
 * Released under the terms of the GPL.
 * *NO WARRANTY*
 *****************************************************************************/

#ifndef _CAMCAPT_H_
#define _CAMCAPT_H_

#include <stdlib.h>

/***** Variables for frame recording */
extern char frame_dir[256];           /* Directory where frames are stored */
extern char custom_encoder[256];      /* Path to user-selected encoder */
extern char encoder_options[512];     /* Options to encode frames into movie */
extern int del_frames_after_encoding; /* Whether captured frames should be deleted after encoding */
extern int capture_auto_on;           /* Whether to start capture in record more, or not */
extern void read_capturc();
extern void write_capturc();

/***** End of variables for frame recording */

/* Module's own exported functions */

void showWinSetupCapt (GtkWidget *parent);
void showWinEncodeCapt (GtkWidget *parent);

#endif
